curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"ReasonCode\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"600\", \"description\": \"Vacation Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"601\", \"description\": \"Seasonal Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"602\", \"description\": \"Medical Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"603\", \"description\": \"Life Event\", \"reason_type\": \"pause\" } ], \"total_count\": 21, \"url\": \"/reason_codes\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"lists reason codes
System-defined and merchant-specified reasons for canceling or pausing a Subscription.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"ReasonCode\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"600\", \"description\": \"Vacation Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"601\", \"description\": \"Seasonal Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"602\", \"description\": \"Medical Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"603\", \"description\": \"Life Event\", \"reason_type\": \"pause\" } ], \"total_count\": 21, \"url\": \"/reason_codes\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The type of reason for canceling or pausing a subscription
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
JSON - A list array with a data property that contains an array of up to limit reason_codes, starting after the specified starting_after Reason Code (or ending before the specified ending_before Reason Code). Each entry in the array is a full Reason code object. If no more Reasons Codes are available, the resulting array will be empty. This request should never throw an error.
A list of Reaso codes objects matching the query. Also:
-
“total_count”: Integer count of the number of CancelReason in the returned list.
-
“url”: The query string provided in the request.
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next ReasonCode object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous ReasonCode object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"ReasonCode\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"600\", \"description\": \"Vacation Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"601\", \"description\": \"Seasonal Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"602\", \"description\": \"Medical Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"603\", \"description\": \"Life Event\", \"reason_type\": \"pause\" } ], \"total_count\": 21, \"url\": \"/reason_codes\" }"

